export declare class NativeXMLHttpRequest {
    onreadystatechange: any;
    readyState: number;
    response: any;
    responseType: any;
    responseText: any;
    responseURL: any;
    responseXML: any;
    status: number;
    statusText: string;
    ontimeout: any;
    onload: any;
    onloadend: any;
    onerror: any;
    timeout: number;
    withCredentials: boolean;
    private progress;
    upload: {
        addEventListener: any;
    };
    private _internal;
    abort(): void;
    getResponseHeader(name: string): any;
    getAllResponseHeaders(): string;
    setRequestHeader(header: string, value: string): void;
    overrideMimeType(mime: string): void;
    open(method: string, url: string, async?: boolean, user?: string, password?: string): void;
    send(body?: any, useBrowserXHR?: boolean): void;
    addEventListener(eventName: string, handler: () => any): void;
    removeEventListener(eventName: string, handler: () => any): void;
    private prepareOptions;
    private startProgress;
    private sendBlobViaNativePlugin;
    private sendViaNativePlugin;
    private close;
}
